sc::ISphericalTransformV3 Class Reference
Inheritance diagram for sc::ISphericalTransformV3:
[legend]
Collaboration diagram for sc::ISphericalTransformV3:
[legend]

## Public Member Functions

| ISphericalTransformV3 (int l, int subl=-1)
SphericalTransformComponent * | new_components ()
| This must create SphericalTransformComponent's of the appropriate specialization. More...

## Additional Inherited Members

Protected Member Functions inherited from sc::ISphericalTransform
| ISphericalTransform (int l, int subl=-1)
void | init ()
| This determines all of the components of the transformation. More...
Protected Attributes inherited from sc::SphericalTransform
int | n_
int | l_
int | subl_
SphericalTransformComponent * | components_

## Member Function Documentation

SphericalTransformComponent* sc::ISphericalTransformV3::new_components | ( |  | ) |

inline virtual

This must create SphericalTransformComponent's of the appropriate specialization.

Implements sc::SphericalTransform.

The documentation for this class was generated from the following file:

- tformv3.h